Bug 11954 - Clean up currency default files
Summary: Clean up currency default files
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: M. Tompsett
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-18 20:06 UTC by M. Tompsett
Modified: 2015-12-03 22:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 11954 - Clean up currency default files (2.70 KB, patch)
2014-11-19 18:41 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 11954 - Clean up currency default files (2.81 KB, patch)
2015-01-28 13:25 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[PASSED QA] Bug 11954 - Clean up currency default files (2.84 KB, patch)
2015-01-30 12:28 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2014-03-18 20:06:45 UTC
The files are not standardized, and with the intended addition of active on bug 11939, this bug will clean the files up further.

TRUNCATE? Foreign key checks? It doesn't make sense to have all these differences.
Comment 1 M. Tompsett 2014-11-19 18:41:41 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2015-01-28 13:25:29 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2015-01-30 12:28:07 UTC
Created attachment 35618 [details] [review]
[PASSED QA] Bug 11954 - Clean up currency default files

It makes no sense to have TRUNCATE or foreign key checks.

TEST PLAN
---------
1) Back up your database
2) in an mysql client:
     use kohadata;
     SET FOREIGN_KEY_CHECKS=0;
     TRUNCATE currency;
     source /home/mtompset/kohaclone/installer/data/mysql/ru-RU/optional/sample_currency.sql
     SET FOREIGN_KEY_CHECKS=0;
     TRUNCATE currency;
     source /home/mtompset/kohaclone/installer/data/mysql/uk-UA/optional/sample_currency.sql
     SET FOREIGN_KEY_CHECKS=0;
     TRUNCATE currency;
     source /home/mtompset/kohaclone/installer/data/mysql/it-IT/necessari/parameters.sql
     SET FOREIGN_KEY_CHECKS=1;
     QUIT
   -- These should all work without problem.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2015-02-09 18:58:38 UTC
Patch pushed to master.

Thanks Mark!
Comment 5 Chris Cormack 2015-02-14 06:57:36 UTC
Pushed to 3.18.x will be in 3.18.4
Comment 6 Mason James 2015-02-26 04:35:20 UTC
Pushed to 3.16.x, will be in 3.16.8